# Uses of Interface
com.sun.jdi.TypeComponent

Packages that use TypeComponent
Package
Description
com.sun.jdi
This is the core package of the Java Debug Interface (JDI), it defines mirrors for values, types, and the target VirtualMachine itself - as well bootstrapping facilities.

## Uses of TypeComponent in com.sun.jdi

Subinterfaces of TypeComponent in com.sun.jdi
Modifier and Type
Interface
Description
`interface`
`Field`
A class or instance variable in the target VM.
`interface`
`Method`
A static or instance method in the target VM.